%define	_hordeapp	gollem
#
%include	/usr/lib/rpm/macros.php
Summary:	Gollem - the Horde File Manager
Summary(pl.UTF-8):	Gollem - zarządca plików Horde
Name:		horde-%{_hordeapp}
Version:	1.1.2
Release:	3
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/gollem/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	3740dfcca07e02eb70f1af2235d270ae
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
Patch0:		%{_hordeapp}-prefs.patch
URL:		http://www.horde.org/gollem/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	webapps
Suggests:	php(ftp)
Obsoletes:	gollem
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.*

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Gollem is the Horde File Manager, and works through any Horde_VFS
driver. It is currently in development, but all basic functionality is
available and works well. It uses Horde's MIME_Viewer framework to
identify file types, associate icons, etc.

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Gollem) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Gollem to zarządca plików Horde działający poprzez sterownik
Horde_VFS. Aktualnie jest rozwijany, ale cała podstawowa
funkcjonalność jest już dostępna i działa dobrze. Używa szkieletu
Horde MIME_Viewer do identyfikowania typów plików, wiązania z nimi
ikon itp.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla
Gollema) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}
%patch0 -p1

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 1.0-2.3, %{_hordeapp}
for i in apache.conf backends.php conf.php credentials.php httpd.conf menu.php mime_drivers.php motd.php prefs.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/credentials.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-gollem.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> aa3fac1
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> ea08383
- migrate to apache 2.4
- rel 2

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> df837c4
- autoup to 1.1.2

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> a66b783
- 1.1.1

* Fri Oct 10 2008 Jakub Bogusz <qboosh@pld-linux.org> c634355
- unified

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 24a34a5
- suggest php(ftp)

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> ee1d143
- rel 1
- added js dir to package

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> cbf828c
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> a4c76e4
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 4f815c4
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 4c7d369
- up to 1.0.4
- removed unreadable tangle of macros and ugly hacks

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> eb47559
- up to 1.0.3

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 7500a31
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eff5172
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e67d7e4
- converted to UTF-8

* Sun Oct 01 2006 Elan Ruusamäe <glen@pld-linux.org> 5c14aa9
- rel 3

* Sun Oct 01 2006 Elan Ruusamäe <glen@pld-linux.org> 6ea4f06
- rel 2

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> fcb21a8
- update webapp triggers due apache1 package split

* Thu Apr 06 2006 Elan Ruusamäe <glen@pld-linux.org> 23ecad0
- just rm to catch missing files

* Tue Mar 28 2006 Sławomir Paszkiewicz <paszczus@pld-linux.org> d1b08f2
- updated to FINAL 1.0.2

